Went to check the settings on my Airport Extreme today. Apps/Utils then click to launch Airport Utility. Pop-up message:

"You can't open the application AirPort Utility.app because it is not supported on this architecture."

Upgraded to Leopard a few months ago, first time trying to use Airport Utility since... While starting a help post here, I searched further and found this:

AirPort Utility 5.3.2 for Leopard
..the install overwrote the old version and all good now.